### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
LiborForwardModel Class Reference

Libor forward model More...

`#include <ql/legacy/libormarketmodels/liborforwardmodel.hpp>`

Inheritance diagram for LiborForwardModel:
[legend]

List of all members.

## Public Member Functions

| LiborForwardModel (const boost::shared_ptr< LiborForwardModelProcess > &process, const boost::shared_ptr< LmVolatilityModel > &volaModel, const boost::shared_ptr< LmCorrelationModel > &corrModel)
Rate | S_0 (Size alpha, Size beta) const
virtual boost::shared_ptr < SwaptionVolatilityMatrix > | getSwaptionVolatilityMatrix () const
DiscountFactor | discount (Time t) const
| Implied discount curve.
Real | discountBond (Time now, Time maturity, Array factors) const
Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const
void | setParams (const Array &params)

## Protected Member Functions

Disposable< Array > | w_0 (Size alpha, Size beta) const

## Protected Attributes

std::vector< Real > | f_
std::vector< Time > | accrualPeriod_
const boost::shared_ptr < LfmCovarianceProxy > | covarProxy_
const boost::shared_ptr < LiborForwardModelProcess > | process_
boost::shared_ptr < SwaptionVolatilityMatrix > | swaptionVola

## Detailed Description

Libor forward model

References:

Stefan Weber, 2005, Efficient Calibration for Libor Market Models, (<http://workshop.mathfinance.de/2005/papers/weber/slides.pdf>)

Damiano Brigo, Fabio Mercurio, Massimo Morini, 2003, Different Covariance Parameterizations of Libor Market Model and Joint Caps/Swaptions Calibration, (<http://www.business.uts.edu.au/qfrc/conferences/qmf2001/Brigo_D.pdf>

Tests:
  the correctness is tested using Monte-Carlo Simulation to reproduce swaption npvs, model calibration and exact cap pricing